# Interface ModuleElement.ExportsDirective

All Superinterfaces:
  `ModuleElement.Directive`

Enclosing interface:
  `ModuleElement`

public static interface ModuleElement.ExportsDirective extends ModuleElement.Directive
An exported package of a module.

Since:
  9

## Method Summary

Modifier and Type
Method
Description
`PackageElement`
`getPackage()`
Returns the package being exported.
`List<? extends ModuleElement>`
`getTargetModules()`
Returns the specific modules to which the package is being exported, or `null`, if the package is exported to all modules which have readability to this module.

### Methods declared in interface ModuleElement.Directive

`accept, getKind`

## Method Details

### getPackage

PackageElement getPackage()
Returns the package being exported.

Returns:
  the package being exported

### getTargetModules

List<? extends ModuleElement> getTargetModules()
Returns the specific modules to which the package is being exported, or `null`, if the package is exported to all modules which have readability to this module.

Returns:
  the specific modules to which the package is being exported